package org.objectweb.modfact.jmi.reflect;

import javax.jmi.reflect.*;

public class RefAssociationLinkImpl implements RefAssociationLink, java.io.Serializable {
    
    RefObject end1,end2;
    
    public RefAssociationLinkImpl() {        
    }

    public RefAssociationLinkImpl(RefObject end1, RefObject end2) {
        this.end1 = end1;
        this.end2 = end2;
    }    
    
    public javax.jmi.reflect.RefObject refFirstEnd() {
        return end1;
    }
    
    public javax.jmi.reflect.RefObject refSecondEnd() {
        return end2;
    }
 
    public boolean equals(java.lang.Object other) {
        if( !(other instanceof RefAssociationLink) ) return false;
        RefAssociationLink otherLink = (RefAssociationLink)other;
        if( !end1.equals(otherLink.refFirstEnd()) ) return false;
        return end2.equals(otherLink.refSecondEnd());
    }
            
    public int hashCode() {
        return end1.hashCode() + end2.hashCode();
    }
            
    
}
