package org.objectweb.modfact.jmi.repository.javax.jmi.model;

import org.objectweb.modfact.jmi.reflect.*;
public class ModelPackageImpl extends RefPackageImpl implements javax.jmi.model.ModelPackage { 
	 public static javax.jmi.model.ModelPackage create(javax.jmi.model.MofPackage meta) {
		 org.objectweb.modfact.jmi.repository.javax.jmi.model.ModelPackageImpl p = new org.objectweb.modfact.jmi.repository.javax.jmi.model.ModelPackageImpl();
		 initRepository(p, meta);
		 return p;
	 } 

	 public static javax.jmi.model.ModelPackage create(String metaModelURL) throws Exception {
		 javax.jmi.model.MofPackage meta=(javax.jmi.model.MofPackage)createMetaObject("Model", metaModelURL);
		 return create(meta);
	 }
	public javax.jmi.model.MultiplicityType createMultiplicityType (int lower , int upper , boolean isOrdered , boolean isUnique) throws javax.jmi.reflect.JmiException { 
		java.util.List list = new java.util.Vector(); 
		 list.add(new Integer(lower));
		 list.add(new Integer(upper));
		 list.add(new Boolean(isOrdered));
		 list.add(new Boolean(isUnique));
	 return (javax.jmi.model.MultiplicityType) refCreateStruct("MultiplicityType",list);
}
	public javax.jmi.model.ModelElementClass getModelElement() {
		return (javax.jmi.model.ModelElementClass)refClass("ModelElement");
	}
	public javax.jmi.model.NamespaceClass getNamespace() {
		return (javax.jmi.model.NamespaceClass)refClass("Namespace");
	}
	public javax.jmi.model.GeneralizableElementClass getGeneralizableElement() {
		return (javax.jmi.model.GeneralizableElementClass)refClass("GeneralizableElement");
	}
	public javax.jmi.model.TypedElementClass getTypedElement() {
		return (javax.jmi.model.TypedElementClass)refClass("TypedElement");
	}
	public javax.jmi.model.ClassifierClass getClassifier() {
		return (javax.jmi.model.ClassifierClass)refClass("Classifier");
	}
	public javax.jmi.model.MofClassClass getMofClass() {
		return (javax.jmi.model.MofClassClass)refClass("Class");
	}
	public javax.jmi.model.DataTypeClass getDataType() {
		return (javax.jmi.model.DataTypeClass)refClass("DataType");
	}
	public javax.jmi.model.PrimitiveTypeClass getPrimitiveType() {
		return (javax.jmi.model.PrimitiveTypeClass)refClass("PrimitiveType");
	}
	public javax.jmi.model.EnumerationTypeClass getEnumerationType() {
		return (javax.jmi.model.EnumerationTypeClass)refClass("EnumerationType");
	}
	public javax.jmi.model.CollectionTypeClass getCollectionType() {
		return (javax.jmi.model.CollectionTypeClass)refClass("CollectionType");
	}
	public javax.jmi.model.StructureTypeClass getStructureType() {
		return (javax.jmi.model.StructureTypeClass)refClass("StructureType");
	}
	public javax.jmi.model.StructureFieldClass getStructureField() {
		return (javax.jmi.model.StructureFieldClass)refClass("StructureField");
	}
	public javax.jmi.model.AliasTypeClass getAliasType() {
		return (javax.jmi.model.AliasTypeClass)refClass("AliasType");
	}
	public javax.jmi.model.FeatureClass getFeature() {
		return (javax.jmi.model.FeatureClass)refClass("Feature");
	}
	public javax.jmi.model.StructuralFeatureClass getStructuralFeature() {
		return (javax.jmi.model.StructuralFeatureClass)refClass("StructuralFeature");
	}
	public javax.jmi.model.AttributeClass getAttribute() {
		return (javax.jmi.model.AttributeClass)refClass("Attribute");
	}
	public javax.jmi.model.ReferenceClass getReference() {
		return (javax.jmi.model.ReferenceClass)refClass("Reference");
	}
	public javax.jmi.model.BehavioralFeatureClass getBehavioralFeature() {
		return (javax.jmi.model.BehavioralFeatureClass)refClass("BehavioralFeature");
	}
	public javax.jmi.model.OperationClass getOperation() {
		return (javax.jmi.model.OperationClass)refClass("Operation");
	}
	public javax.jmi.model.MofExceptionClass getMofException() {
		return (javax.jmi.model.MofExceptionClass)refClass("Exception");
	}
	public javax.jmi.model.AssociationClass getAssociation() {
		return (javax.jmi.model.AssociationClass)refClass("Association");
	}
	public javax.jmi.model.AssociationEndClass getAssociationEnd() {
		return (javax.jmi.model.AssociationEndClass)refClass("AssociationEnd");
	}
	public javax.jmi.model.MofPackageClass getMofPackage() {
		return (javax.jmi.model.MofPackageClass)refClass("Package");
	}
	public javax.jmi.model.ImportClass getImport() {
		return (javax.jmi.model.ImportClass)refClass("Import");
	}
	public javax.jmi.model.ParameterClass getParameter() {
		return (javax.jmi.model.ParameterClass)refClass("Parameter");
	}
	public javax.jmi.model.ConstraintClass getConstraint() {
		return (javax.jmi.model.ConstraintClass)refClass("Constraint");
	}
	public javax.jmi.model.ConstantClass getConstant() {
		return (javax.jmi.model.ConstantClass)refClass("Constant");
	}
	public javax.jmi.model.TagClass getTag() {
		return (javax.jmi.model.TagClass)refClass("Tag");
	}
	public javax.jmi.model.AttachesTo getAttachesTo() {
		return (javax.jmi.model.AttachesTo)refAssociation("AttachesTo");
	}
	public javax.jmi.model.DependsOn getDependsOn() {
		return (javax.jmi.model.DependsOn)refAssociation("DependsOn");
	}
	public javax.jmi.model.Contains getContains() {
		return (javax.jmi.model.Contains)refAssociation("Contains");
	}
	public javax.jmi.model.Generalizes getGeneralizes() {
		return (javax.jmi.model.Generalizes)refAssociation("Generalizes");
	}
	public javax.jmi.model.Aliases getAliases() {
		return (javax.jmi.model.Aliases)refAssociation("Aliases");
	}
	public javax.jmi.model.Constrains getConstrains() {
		return (javax.jmi.model.Constrains)refAssociation("Constrains");
	}
	public javax.jmi.model.CanRaise getCanRaise() {
		return (javax.jmi.model.CanRaise)refAssociation("CanRaise");
	}
	public javax.jmi.model.Exposes getExposes() {
		return (javax.jmi.model.Exposes)refAssociation("Exposes");
	}
	public javax.jmi.model.RefersTo getRefersTo() {
		return (javax.jmi.model.RefersTo)refAssociation("RefersTo");
	}
	public javax.jmi.model.IsOfType getIsOfType() {
		return (javax.jmi.model.IsOfType)refAssociation("IsOfType");
	}
	public RefPackageImpl newPackage(String n) {
throw new RuntimeException("invalide type");
	}
	public RefClassImpl newClass(String n) {
		 if(n.equals("ModelElement")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.ModelElementClassImpl();
		 if(n.equals("Namespace")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.NamespaceClassImpl();
		 if(n.equals("GeneralizableElement")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.GeneralizableElementClassImpl();
		 if(n.equals("TypedElement")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.TypedElementClassImpl();
		 if(n.equals("Classifier")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.ClassifierClassImpl();
		 if(n.equals("Class")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.MofClassClassImpl();
		 if(n.equals("DataType")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.DataTypeClassImpl();
		 if(n.equals("PrimitiveType")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.PrimitiveTypeClassImpl();
		 if(n.equals("EnumerationType")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.EnumerationTypeClassImpl();
		 if(n.equals("CollectionType")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.CollectionTypeClassImpl();
		 if(n.equals("StructureType")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.StructureTypeClassImpl();
		 if(n.equals("StructureField")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.StructureFieldClassImpl();
		 if(n.equals("AliasType")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.AliasTypeClassImpl();
		 if(n.equals("Feature")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.FeatureClassImpl();
		 if(n.equals("StructuralFeature")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.StructuralFeatureClassImpl();
		 if(n.equals("Attribute")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.AttributeClassImpl();
		 if(n.equals("Reference")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.ReferenceClassImpl();
		 if(n.equals("BehavioralFeature")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.BehavioralFeatureClassImpl();
		 if(n.equals("Operation")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.OperationClassImpl();
		 if(n.equals("Exception")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.MofExceptionClassImpl();
		 if(n.equals("Association")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.AssociationClassImpl();
		 if(n.equals("AssociationEnd")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.AssociationEndClassImpl();
		 if(n.equals("Package")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.MofPackageClassImpl();
		 if(n.equals("Import")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.ImportClassImpl();
		 if(n.equals("Parameter")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.ParameterClassImpl();
		 if(n.equals("Constraint")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.ConstraintClassImpl();
		 if(n.equals("Constant")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.ConstantClassImpl();
		 if(n.equals("Tag")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.TagClassImpl();
throw new RuntimeException("invalide type");
	}
	public RefAssociationImpl newAssociation(String n) {
		 if(n.equals("AttachesTo")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.AttachesToImpl();
		 if(n.equals("DependsOn")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.DependsOnImpl();
		 if(n.equals("Contains")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.ContainsImpl();
		 if(n.equals("Generalizes")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.GeneralizesImpl();
		 if(n.equals("Aliases")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.AliasesImpl();
		 if(n.equals("Constrains")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.ConstrainsImpl();
		 if(n.equals("CanRaise")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.CanRaiseImpl();
		 if(n.equals("Exposes")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.ExposesImpl();
		 if(n.equals("RefersTo")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.RefersToImpl();
		 if(n.equals("IsOfType")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.IsOfTypeImpl();
throw new RuntimeException("invalide type");
	}
	public Class newEnum(String n) {
		 if(n.equals("VisibilityKind")) return javax.jmi.model.VisibilityKindEnum.class;
		 if(n.equals("ScopeKind")) return javax.jmi.model.ScopeKindEnum.class;
		 if(n.equals("AggregationKind")) return javax.jmi.model.AggregationKindEnum.class;
		 if(n.equals("DirectionKind")) return javax.jmi.model.DirectionKindEnum.class;
		 throw new RuntimeException("invalide type");
	}
	public RefStructImpl newStruct(String n) {
		 if(n.equals("MultiplicityType")) return new org.objectweb.modfact.jmi.repository.javax.jmi.model.MultiplicityTypeImpl();
throw new RuntimeException("invalide type");
	}
}
