package org.objectweb.modfact.jmi.repository.simpletrl;
import simpletrl.*;
import org.objectweb.modfact.jmi.reflect.*;
public class SimpleTRLPackageImpl extends RefPackageImpl implements simpletrl.SimpleTRLPackage { 
	 public static simpletrl.SimpleTRLPackage create(javax.jmi.model.MofPackage meta) {
		 org.objectweb.modfact.jmi.repository.simpletrl.SimpleTRLPackageImpl p = new org.objectweb.modfact.jmi.repository.simpletrl.SimpleTRLPackageImpl();
		 initRepository(p, meta);
		 return p;
	 } 

	 public static simpletrl.SimpleTRLPackage create(String metaModelURL) throws Exception {
		 javax.jmi.model.MofPackage meta=(javax.jmi.model.MofPackage)createMetaObject("SimpleTRL", metaModelURL);
		 return create(meta);
	 }
	public simpletrl.CalledRuleClass getCalledRule() {
		return (simpletrl.CalledRuleClass)refClass("CalledRule");
	}
	public simpletrl.RuleClass getRule() {
		return (simpletrl.RuleClass)refClass("Rule");
	}
	public simpletrl.EntryPointRuleClass getEntryPointRule() {
		return (simpletrl.EntryPointRuleClass)refClass("EntryPointRule");
	}
	public simpletrl.ContextExpClass getContextExp() {
		return (simpletrl.ContextExpClass)refClass("ContextExp");
	}
	public simpletrl.RulesUnitClass getRulesUnit() {
		return (simpletrl.RulesUnitClass)refClass("RulesUnit");
	}
	public simpletrl.PropertyAssignExpClass getPropertyAssignExp() {
		return (simpletrl.PropertyAssignExpClass)refClass("PropertyAssignExp");
	}
	public simpletrl.RuleCallExpClass getRuleCallExp() {
		return (simpletrl.RuleCallExpClass)refClass("RuleCallExp");
	}
	public simpletrl.ValueExpClass getValueExp() {
		return (simpletrl.ValueExpClass)refClass("ValueExp");
	}
	public simpletrl.AbstractOperationCallExpClass getAbstractOperationCallExp() {
		return (simpletrl.AbstractOperationCallExpClass)refClass("AbstractOperationCallExp");
	}
	public simpletrl.LiteralExpClass getLiteralExp() {
		return (simpletrl.LiteralExpClass)refClass("LiteralExp");
	}
	public simpletrl.ParameterExpClass getParameterExp() {
		return (simpletrl.ParameterExpClass)refClass("ParameterExp");
	}
	public simpletrl.CompareExpClass getCompareExp() {
		return (simpletrl.CompareExpClass)refClass("CompareExp");
	}
	public simpletrl.IsOfTypeExpClass getIsOfTypeExp() {
		return (simpletrl.IsOfTypeExpClass)refClass("IsOfTypeExp");
	}
	public simpletrl.PropertyCallExpClass getPropertyCallExp() {
		return (simpletrl.PropertyCallExpClass)refClass("PropertyCallExp");
	}
	public simpletrl.ModelReferenceExpClass getModelReferenceExp() {
		return (simpletrl.ModelReferenceExpClass)refClass("ModelReferenceExp");
	}
	public simpletrl.IfStatementExpClass getIfStatementExp() {
		return (simpletrl.IfStatementExpClass)refClass("IfStatementExp");
	}
	public simpletrl.IntegerLiteralClass getIntegerLiteral() {
		return (simpletrl.IntegerLiteralClass)refClass("IntegerLiteral");
	}
	public simpletrl.StringLiteralClass getStringLiteral() {
		return (simpletrl.StringLiteralClass)refClass("StringLiteral");
	}
	public simpletrl.DoubleLiteralClass getDoubleLiteral() {
		return (simpletrl.DoubleLiteralClass)refClass("DoubleLiteral");
	}
	public simpletrl.EnumLiteralClass getEnumLiteral() {
		return (simpletrl.EnumLiteralClass)refClass("EnumLiteral");
	}
	public simpletrl.BooleanLiteralClass getBooleanLiteral() {
		return (simpletrl.BooleanLiteralClass)refClass("BooleanLiteral");
	}
	public simpletrl.StatementExpClass getStatementExp() {
		return (simpletrl.StatementExpClass)refClass("StatementExp");
	}
	public simpletrl.ExpClass getExp() {
		return (simpletrl.ExpClass)refClass("Exp");
	}
	public simpletrl.OperationCallExpClass getOperationCallExp() {
		return (simpletrl.OperationCallExpClass)refClass("OperationCallExp");
	}
	public simpletrl.CollectionExpClass getCollectionExp() {
		return (simpletrl.CollectionExpClass)refClass("CollectionExp");
	}
	public simpletrl.AddCollectionExpClass getAddCollectionExp() {
		return (simpletrl.AddCollectionExpClass)refClass("AddCollectionExp");
	}
	public simpletrl.RemoveCollectionExpClass getRemoveCollectionExp() {
		return (simpletrl.RemoveCollectionExpClass)refClass("RemoveCollectionExp");
	}
	public simpletrl.IfValueExpClass getIfValueExp() {
		return (simpletrl.IfValueExpClass)refClass("IfValueExp");
	}
	public simpletrl.IfExpClass getIfExp() {
		return (simpletrl.IfExpClass)refClass("IfExp");
	}
	public simpletrl.ContainsRules getContainsRules() {
		return (simpletrl.ContainsRules)refAssociation("containsRules");
	}
	public simpletrl.HasArgs getHasArgs() {
		return (simpletrl.HasArgs)refAssociation("hasArgs");
	}
	public simpletrl.HasVal getHasVal() {
		return (simpletrl.HasVal)refAssociation("hasVal");
	}
	public simpletrl.HasContext getHasContext() {
		return (simpletrl.HasContext)refAssociation("hasContext");
	}
	public simpletrl.ComparesTo getComparesTo() {
		return (simpletrl.ComparesTo)refAssociation("comparesTo");
	}
	public simpletrl.HasParams getHasParams() {
		return (simpletrl.HasParams)refAssociation("hasParams");
	}
	public simpletrl.CallsRule getCallsRule() {
		return (simpletrl.CallsRule)refAssociation("callsRule");
	}
	public simpletrl.HasBody getHasBody() {
		return (simpletrl.HasBody)refAssociation("hasBody");
	}
	public simpletrl.ThenBody getThenBody() {
		return (simpletrl.ThenBody)refAssociation("thenBody");
	}
	public simpletrl.ElseBody getElseBody() {
		return (simpletrl.ElseBody)refAssociation("elseBody");
	}
	public simpletrl.HasMember getHasMember() {
		return (simpletrl.HasMember)refAssociation("hasMember");
	}
	public simpletrl.HasCondition getHasCondition() {
		return (simpletrl.HasCondition)refAssociation("hasCondition");
	}
	public simpletrl.ElseValue getElseValue() {
		return (simpletrl.ElseValue)refAssociation("elseValue");
	}
	public simpletrl.ThenValue getThenValue() {
		return (simpletrl.ThenValue)refAssociation("thenValue");
	}
	public simpletrl.HasReturnVal getHasReturnVal() {
		return (simpletrl.HasReturnVal)refAssociation("hasReturnVal");
	}
	public RefPackageImpl newPackage(String n) {
throw new RuntimeException("invalide type");
	}
	public RefClassImpl newClass(String n) {
		 if(n.equals("CalledRule")) return new org.objectweb.modfact.jmi.repository.simpletrl.CalledRuleClassImpl();
		 if(n.equals("Rule")) return new org.objectweb.modfact.jmi.repository.simpletrl.RuleClassImpl();
		 if(n.equals("EntryPointRule")) return new org.objectweb.modfact.jmi.repository.simpletrl.EntryPointRuleClassImpl();
		 if(n.equals("ContextExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.ContextExpClassImpl();
		 if(n.equals("RulesUnit")) return new org.objectweb.modfact.jmi.repository.simpletrl.RulesUnitClassImpl();
		 if(n.equals("PropertyAssignExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.PropertyAssignExpClassImpl();
		 if(n.equals("RuleCallExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.RuleCallExpClassImpl();
		 if(n.equals("ValueExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.ValueExpClassImpl();
		 if(n.equals("AbstractOperationCallExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.AbstractOperationCallExpClassImpl();
		 if(n.equals("LiteralExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.LiteralExpClassImpl();
		 if(n.equals("ParameterExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.ParameterExpClassImpl();
		 if(n.equals("CompareExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.CompareExpClassImpl();
		 if(n.equals("IsOfTypeExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.IsOfTypeExpClassImpl();
		 if(n.equals("PropertyCallExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.PropertyCallExpClassImpl();
		 if(n.equals("ModelReferenceExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.ModelReferenceExpClassImpl();
		 if(n.equals("IfStatementExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.IfStatementExpClassImpl();
		 if(n.equals("IntegerLiteral")) return new org.objectweb.modfact.jmi.repository.simpletrl.IntegerLiteralClassImpl();
		 if(n.equals("StringLiteral")) return new org.objectweb.modfact.jmi.repository.simpletrl.StringLiteralClassImpl();
		 if(n.equals("DoubleLiteral")) return new org.objectweb.modfact.jmi.repository.simpletrl.DoubleLiteralClassImpl();
		 if(n.equals("EnumLiteral")) return new org.objectweb.modfact.jmi.repository.simpletrl.EnumLiteralClassImpl();
		 if(n.equals("BooleanLiteral")) return new org.objectweb.modfact.jmi.repository.simpletrl.BooleanLiteralClassImpl();
		 if(n.equals("StatementExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.StatementExpClassImpl();
		 if(n.equals("Exp")) return new org.objectweb.modfact.jmi.repository.simpletrl.ExpClassImpl();
		 if(n.equals("OperationCallExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.OperationCallExpClassImpl();
		 if(n.equals("CollectionExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.CollectionExpClassImpl();
		 if(n.equals("AddCollectionExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.AddCollectionExpClassImpl();
		 if(n.equals("RemoveCollectionExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.RemoveCollectionExpClassImpl();
		 if(n.equals("IfValueExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.IfValueExpClassImpl();
		 if(n.equals("IfExp")) return new org.objectweb.modfact.jmi.repository.simpletrl.IfExpClassImpl();
		 throw new RuntimeException("invalide Class: '" + n + "'");
	}
	public RefAssociationImpl newAssociation(String n) {
		 if(n.equals("containsRules")) return new org.objectweb.modfact.jmi.repository.simpletrl.ContainsRulesImpl();
		 if(n.equals("hasArgs")) return new org.objectweb.modfact.jmi.repository.simpletrl.HasArgsImpl();
		 if(n.equals("hasVal")) return new org.objectweb.modfact.jmi.repository.simpletrl.HasValImpl();
		 if(n.equals("hasContext")) return new org.objectweb.modfact.jmi.repository.simpletrl.HasContextImpl();
		 if(n.equals("comparesTo")) return new org.objectweb.modfact.jmi.repository.simpletrl.ComparesToImpl();
		 if(n.equals("hasParams")) return new org.objectweb.modfact.jmi.repository.simpletrl.HasParamsImpl();
		 if(n.equals("callsRule")) return new org.objectweb.modfact.jmi.repository.simpletrl.CallsRuleImpl();
		 if(n.equals("hasBody")) return new org.objectweb.modfact.jmi.repository.simpletrl.HasBodyImpl();
		 if(n.equals("thenBody")) return new org.objectweb.modfact.jmi.repository.simpletrl.ThenBodyImpl();
		 if(n.equals("elseBody")) return new org.objectweb.modfact.jmi.repository.simpletrl.ElseBodyImpl();
		 if(n.equals("hasMember")) return new org.objectweb.modfact.jmi.repository.simpletrl.HasMemberImpl();
		 if(n.equals("hasCondition")) return new org.objectweb.modfact.jmi.repository.simpletrl.HasConditionImpl();
		 if(n.equals("elseValue")) return new org.objectweb.modfact.jmi.repository.simpletrl.ElseValueImpl();
		 if(n.equals("thenValue")) return new org.objectweb.modfact.jmi.repository.simpletrl.ThenValueImpl();
		 if(n.equals("hasReturnVal")) return new org.objectweb.modfact.jmi.repository.simpletrl.HasReturnValImpl();
		 throw new RuntimeException("invalide Association: '" + n + "'");
	}
	public Class newEnum(String n) {
		 throw new RuntimeException("invalide EnumType : '" + n + "'");
	}
	public RefStructImpl newStruct(String n) {
		 throw new RuntimeException("invalide StructureType: '" + n + "'");
	}
}
