package org.objectweb.modfact.qvt.engine;

public class QvtException extends RuntimeException {

	private Throwable cause;

	QvtException(String msg, Throwable cause) {
		super(msg);
		this.cause = cause;
	}
    
    public Throwable getCause() {
        return cause;
    }

}

/////////////////////////////////////////////////////////
class ExpEvalException extends QvtException {
	ExpEvalException(String msg, Throwable cause) {
		super(msg, cause);
	}
}

////////////////////////////////////////////////
class ReflectException extends QvtException {
	ReflectException(String msg, Throwable cause) {
		super(msg, cause);
	}
}
