package org.objectweb.modfact.jmi.generator;


import java.io.*;

public abstract class JarGenerator  implements Generator {

	protected PrintStream out;


	public void setOutput(OutputStream stream) throws java.io.IOException {
		out = new PrintStream(stream);
	}

	protected  void writeEntry(String entryName , ByteArrayOutputStream data) throws java.io.IOException {
		if (data.size()!=0) {
		  out.println("//--- Entry " +entryName +"---" );
		  out.write( data.toByteArray() , 0 , data.size() );
		  out.println();
		}
	}




}
