package org.objectweb.modfact.jmi.reflect;

import javax.jmi.reflect.*;
import java.util.*;

public class RefStructImpl implements javax.jmi.reflect.RefStruct, java.io.Serializable {
    
    List typeNames = null;
    List fieldNames = null;
    Object[] values = null;
    
    public RefStructImpl() {
    } 
        
    void setValues(List values) {
		if(values==null) {
		  this.values = new Object[_refFieldNames().size()];
		} else {
		  if(_refFieldNames().size()!=values.size()) {
			throw new RuntimeException("Invalide arg size: "
			  +values.size() +" expect " +_refFieldNames().size()
			);
		  }  
		  this.values = values.toArray();
		}        
    }
    
    public java.util.List refFieldNames() {
        return new Vector(
            _refFieldNames()    
        );
    }
    
    List _refFieldNames() {
        return fieldNames;    
    }
    
    public Object refGetValue(String str) {
        return values[_refFieldNames().indexOf(str)];
    }
    
    public java.util.List refTypeName() {
        return typeNames;
    }
    
    public int hashCode() {
        return RefBaseObjectImpl.arrayToList(values).hashCode();
    }
    
    public boolean equals(Object obj) {
        if(!(obj instanceof RefStructImpl)) return false;
        RefStructImpl other = (RefStructImpl)obj;
        if(! this.refTypeName().equals(other.refTypeName()) ) return false;
        for(int i=0; i<values.length; i++) {
          
        }
        return true;
    }
    
    public static List getAllValues(RefStruct s) {
        List r = new Vector();
        Iterator it = s.refFieldNames().iterator();
        while(it.hasNext()) {
          r.add(s.refGetValue((String)it.next()));
        }
        return r;
    } 
    
}
