package org.objectweb.modfact.jmi.xmi;

import java.util.*;

public class DistinctList extends Vector implements java.io.Serializable {
    
    public DistinctList() {
        super();
    }
    
    public DistinctList(Collection c) {
        super(c);
    } 
    
    public boolean add(Object o) {
        if(this.contains(o)) return false;
        return super.add(o);
    }
    
    public boolean addAll(Collection c) {
         Iterator it = c.iterator();
         boolean r = false;
         while(it.hasNext()) {
            Object o = it.next();
            if(!contains(o)) {
                super.add(o);
                r = true;
            }
         }
         return r;
    }
    
}
