/**
 * copyright 2002 2003 Laboratoire d'Informatique Paris 6 (LIP6)
 * 
 * This file is part of ModFact.
 * 
 * ModFact is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * at your option) any later version.
 * 
 * ModFact is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

// le Code gnr de l'association: Contains
package org.omg.mof.Model ;
public class ContainsImpl extends org.omg.mof.Model.ContainsPOA {
		org.omg.mof.Model._ModelPackage _model_package;
		//Ajout de la partie RefBaseObject 
		// Operation ref_mof_id
		  public java.lang.String ref_mof_id(){
		    int id = _orb().object_to_string(_this()).hashCode();
		     return String.valueOf(id);
		  }
		  // Operation ref_meta_object
		  public org.omg.mof.Reflective.RefObject ref_meta_object(){
		    throw new org.omg.CORBA.NO_IMPLEMENT("ref_meta_object method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		    }
		 // Operation ref_itself
		 public boolean ref_itself(org.omg.mof.Reflective.RefBaseObject other_object){
		     String id_obj = other_object.ref_mof_id();
		     if (ref_mof_id().equals(id_obj)) return true;
		     else return false;
		  }
		 // Operation ref_immediate_package
		 public org.omg.mof.Reflective._RefPackage ref_immediate_package(){
		    throw new org.omg.CORBA.NO_IMPLEMENT("ref_immediate_package method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		 }
		 // Operation ref_outermost_package
		 public org.omg.mof.Reflective._RefPackage ref_outermost_package(){
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_moutermost_package method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		  }
		  // Operation ref_delete
		 public void ref_delete() throws org.omg.mof.Reflective.MofError {
		  throw new org.omg.CORBA.NO_IMPLEMENT("ref_delete method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		  }

		// Operation ref_all_links
			public org.omg.mof.Reflective.RefObject[][] ref_all_links(){
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_all_links method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
			}
		// Operation ref_link_exists
		  public boolean ref_link_exists(org.omg.mof.Reflective.RefObject[] some_link)
		    throws org.omg.mof.Reflective.MofError{
		     throw new org.omg.CORBA.NO_IMPLEMENT("ref_link_exists method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_query
		  public org.omg.mof.Reflective.RefObject[] ref_query(org.omg.mof.Reflective.RefObject query_end, org.omg.mof.Reflective.RefObject query_object)
		    throws org.omg.mof.Reflective.MofError{
		    throw new org.omg.CORBA.NO_IMPLEMENT("ref_query method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_add_link
		  public void ref_add_link(org.omg.mof.Reflective.RefObject[] new_link)
		    throws org.omg.mof.Reflective.MofError{
		    throw new org.omg.CORBA.NO_IMPLEMENT("ref_add_link method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_add_link_before
		  public void ref_add_link_before(org.omg.mof.Reflective.RefObject[] new_link, org.omg.mof.Reflective.RefObject position_end, org.omg.mof.Reflective.RefObject before)
		    throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError{
		    throw new org.omg.CORBA.NO_IMPLEMENT("ref_add_link_before method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		  }
		// Operation ref_modify_link
		  public void ref_modify_link(org.omg.mof.Reflective.RefObject[] old_link, org.omg.mof.Reflective.RefObject position_end, org.omg.mof.Reflective.RefObject new_object)
		    throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError{
		    throw new org.omg.CORBA.NO_IMPLEMENT("ref_modify_link method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		  }
		// Operation ref_remove_link
		  public void ref_remove_link(org.omg.mof.Reflective.RefObject[] old_link)
		    throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError {
		    throw new org.omg.CORBA.NO_IMPLEMENT("ref_remove_link method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		 }
		private java.util.Vector _all_contains = new java.util.Vector();
		// Operation all_is_of_type_links
	public org.omg.mof.Model.ContainsLink[] all_contains_Links() throws org.omg.mof.Reflective.MofError {
		org.omg.mof.Model.ContainsLink[] temp1 = new org.omg.mof.Model.ContainsLink [_all_contains.size()];
		for (int i=0; i< _all_contains.size();i++) temp1[i]= (org.omg.mof.Model.ContainsLink)_all_contains.elementAt(i);
		return temp1;
		 }
		//Operation exists
	public boolean exists(org.omg.mof.Model.Namespace container, org.omg.mof.Model.ModelElement contained_element) throws org.omg.mof.Reflective.MofError {
		boolean exist = false;
		int i= 0;
		while((i< _all_contains.size())&& !exist){
			org.omg.mof.Model.ContainsLink temp1 = (org.omg.mof.Model.ContainsLink)_all_contains.elementAt(i);
			if (temp1.container._is_equivalent(container) && temp1.contained_element._is_equivalent(contained_element)) exist = true;
			i++;
		}
		return exist ;
		} 
		// Operation container
	public org.omg.mof.Model.Namespace container(org.omg.mof.Model.ModelElement contained_element) throws org.omg.mof.Reflective.MofError {
		boolean exist = false;
		int i= 0;
		org.omg.mof.Model.ContainsLink temp1 = null;
		while((i< _all_contains.size())&& !exist){
			temp1= (org.omg.mof.Model.ContainsLink)_all_contains.elementAt(i);
			if (temp1.contained_element._is_equivalent(contained_element)) exist = true;
			i++;
		}
		return temp1.container;
		}
		// Operation contained_element
	public org.omg.mof.Model.ModelElement[] contained_element(org.omg.mof.Model.Namespace container) throws org.omg.mof.Reflective.MofError {
		java.util.Vector temp1 = new java.util.Vector();
		for (int i=0; i< _all_contains.size(); i++){
			org.omg.mof.Model.ContainsLink temp2= (org.omg.mof.Model.ContainsLink)_all_contains.elementAt(i);
			if (temp2.container._is_equivalent(container)) temp1.addElement(temp2.container);
		}
		org.omg.mof.Model.ModelElement[] temp3 = new org.omg.mof.Model.ModelElement[temp1.size()];
		for (int i=0; i< temp1.size();i++) temp3[i]= (org.omg.mof.Model.ModelElement)temp1.elementAt(i);
		return temp3;
		}
}
