/**
 * copyright 2002 2003 Laboratoire d'Informatique Paris 6 (LIP6)
 * 
 * This file is part of ModFact.
 * 
 * ModFact is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * at your option) any later version.
 * 
 * ModFact is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

// le Code gnr de la Class: MofAttribute
package org.omg.mof.Model ;
public class MofAttributeImpl extends org.omg.mof.Model.MofAttributePOA {

		//Ajout de la partie RefBaseObject 
		// Operation ref_mof_id
		  public java.lang.String ref_mof_id(){
		    int id = _orb().object_to_string(_this()).hashCode();
		     return String.valueOf(id);
		  }
		  // Operation ref_meta_object
		  public org.omg.mof.Reflective.RefObject ref_meta_object(){
		    throw new org.omg.CORBA.NO_IMPLEMENT("ref_meta_object method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		    }
		 // Operation ref_itself
		 public boolean ref_itself(org.omg.mof.Reflective.RefBaseObject other_object){
		     String id_obj = other_object.ref_mof_id();
		     if (ref_mof_id().equals(id_obj)) return true;
		     else return false;
		  }
		 // Operation ref_immediate_package
		 public org.omg.mof.Reflective._RefPackage ref_immediate_package(){
		    throw new org.omg.CORBA.NO_IMPLEMENT("ref_immediate_package method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		 }
		 // Operation ref_outermost_package
		 public org.omg.mof.Reflective._RefPackage ref_outermost_package(){
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_moutermost_package method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		  }
		  // Operation ref_delete
		 public void ref_delete() throws org.omg.mof.Reflective.MofError {
		  throw new org.omg.CORBA.NO_IMPLEMENT("ref_delete method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		  }

		    //Ajout de la partie  RefObject
		// Operation ref_is_instance_of
		public boolean ref_is_instance_of(org.omg.mof.Reflective.RefObject some_class, boolean consider_subtypes) {
		  throw new org.omg.CORBA.NO_IMPLEMENT("ref_is_instance_of method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_create_instance
		public org.omg.mof.Reflective.RefObject ref_create_instance(org.omg.CORBA.Any[] args) throws org.omg.mof.Reflective.MofError {
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_create_instance method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_all_objects
		public org.omg.mof.Reflective.RefObject[] ref_all_objects(boolean include_subtypes){
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_all_objects method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_set_value
		public void ref_set_value(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any new_value) throws org.omg.mof.Reflective.MofError {
			throw new org.omg.CORBA.NO_IMPLEMENT("ref_set_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_value
		public org.omg.CORBA.Any ref_value(org.omg.mof.Reflective.RefObject feature) throws org.omg.mof.Reflective.NotSet, org.omg.mof.Reflective.MofError {
			throw new org.omg.CORBA.NO_IMPLEMENT("ref_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_unset_value
		public void ref_unset_value() throws org.omg.mof.Reflective.MofError {
		  throw new org.omg.CORBA.NO_IMPLEMENT("ref_unset_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_add_value
		public void ref_add_value(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any new_element) throws org.omg.mof.Reflective.MofError {
		  throw new org.omg.CORBA.NO_IMPLEMENT("ref_add_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_add_value_before
		public void ref_add_value_before(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any new_element, org.omg.CORBA.Any before_element)
			throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError {
			 throw new org.omg.CORBA.NO_IMPLEMENT("ref_add_value_before method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_add_value_at
		public void ref_add_value_at(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any new_element, int position)
			throws org.omg.mof.Reflective.BadPosition, org.omg.mof.Reflective.MofError {
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_add_value_at method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_modify_value
		public void ref_modify_value(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any old_element, org.omg.CORBA.Any new_element)
			throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError {
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_modify_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_modify_value_at
		public void ref_modify_value_at(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any new_element, int position)
			throws org.omg.mof.Reflective.BadPosition, org.omg.mof.Reflective.MofError {
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_modify_value_at method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_remove_value
		public void ref_remove_value(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any existing_element)
			throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError {
			 throw new org.omg.CORBA.NO_IMPLEMENT("ref_remove_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_remove_value_at
		public void ref_remove_value_at(org.omg.mof.Reflective.RefObject feature, int position)
			throws org.omg.mof.Reflective.BadPosition, org.omg.mof.Reflective.MofError {
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_remove_value_at method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_immediate_composite
		public org.omg.mof.Reflective.RefObject ref_immediate_composite() {
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_remove_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_outermost_composite
		public org.omg.mof.Reflective.RefObject ref_outermost_composite() {
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_outermost_composite method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_invoke_operation(
		public org.omg.CORBA.Any ref_invoke_operation(org.omg.mof.Reflective.RefObject requested_temp, org.omg.mof.Reflective.ValueTypeListHolder args)
			throws org.omg.mof.Reflective.OtherException, org.omg.mof.Reflective.MofError {
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_invoke_operation( method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		private org.omg.mof.Model.MofAttributeClass _class_proxy;
	public org.omg.mof.Model.ModelElement[] all_of_type_model_element() {
		return _class_proxy.all_of_type_model_element();
		}
	public org.omg.mof.Model.TypedElement[] all_of_type_typed_element() {
		return _class_proxy.all_of_type_typed_element();
		}
	public org.omg.mof.Model.Feature[] all_of_type_feature() {
		return _class_proxy.all_of_type_feature();
		}
	public org.omg.mof.Model.StructuralFeature[] all_of_type_structural_feature() {
		return _class_proxy.all_of_type_structural_feature();
		}
	public org.omg.mof.Model.MofAttribute create_mof_attribute(String name, String annotation, org.omg.mof.Model.VisibilityKind visibility, org.omg.mof.Model.ScopeKind scope, org.omg.mof.Model.MultiplicityType multiplicity, boolean is_changeable, boolean is_derived) throws org.omg.mof.Reflective.MofError {
		return _class_proxy.create_mof_attribute(name, annotation, visibility, scope, multiplicity, is_changeable, is_derived);
		}
	public org.omg.mof.Model.MofAttribute[] all_of_class_mof_attribute() {
		return _class_proxy.all_of_class_mof_attribute();
		}
	public org.omg.mof.Model.MofAttribute[] all_of_type_mof_attribute() {
		return _class_proxy.all_of_type_mof_attribute();
		}
		// 
	private String  _name ;
	public String name() throws org.omg.mof.Reflective.MofError {
 		return _name;
		}
	public void set_name(String new_value) throws org.omg.mof.Reflective.MofError { 
		_name = new_value ;
		}

		// 
	private String  _annotation ;
	public String annotation() throws org.omg.mof.Reflective.MofError {
 		return _annotation;
		}
	public void set_annotation(String new_value) throws org.omg.mof.Reflective.MofError { 
		_annotation = new_value ;
		}

		// 
	private java.util.Vector  _qualified_names = new java.util.Vector();
	public String[] qualified_name() throws org.omg.mof.Reflective.MofError{
		//Cration d'un vecteur conteneur et rajouyer le nom du l'lment
		java.util.Vector _name_qualified = new java.util.Vector();
		_name_qualified.addElement(_name);

		// Calculer _qualified _name
		ModelElement _current = _this();
		boolean exist = true;
		while (exist) {
			try {
				_current = _current.container();
				_name_qualified.addElement(_current.name());
			}
			catch (org.omg.mof.Reflective.NotSet ex) {
				exist = false;
			}
		}
		String[] _temp = new String[_name_qualified.size()];
		for (int i = 0; i < _temp.length; i++)
			_temp[i] = (String) _name_qualified.elementAt(i);
		return _temp;
	}

		// 
	private org.omg.mof.Model.VisibilityKind  _visibility ;
	public org.omg.mof.Model.VisibilityKind visibility() throws org.omg.mof.Reflective.MofError {
 		return _visibility;
		}
	public void set_visibility(org.omg.mof.Model.VisibilityKind new_value) throws org.omg.mof.Reflective.MofError { 
		_visibility = new_value ;
		}

		// 
	private org.omg.mof.Model.ScopeKind  _scope ;
	public org.omg.mof.Model.ScopeKind scope() throws org.omg.mof.Reflective.MofError {
 		return _scope;
		}
	public void set_scope(org.omg.mof.Model.ScopeKind new_value) throws org.omg.mof.Reflective.MofError { 
		_scope = new_value ;
		}

		// 
	private org.omg.mof.Model.MultiplicityType  _multiplicity ;
	public org.omg.mof.Model.MultiplicityType multiplicity() throws org.omg.mof.Reflective.MofError {
 		return _multiplicity;
		}
	public void set_multiplicity(org.omg.mof.Model.MultiplicityType new_value) throws org.omg.mof.Reflective.MofError { 
		_multiplicity = new_value ;
		}

		// 
	private boolean  _is_changeable ;
	public boolean is_changeable() throws org.omg.mof.Reflective.MofError {
 		return _is_changeable;
		}
	public void set_is_changeable(boolean new_value) throws org.omg.mof.Reflective.MofError { 
		_is_changeable = new_value ;
		}

		// 
	private boolean  _is_derived ;
	public boolean is_derived() throws org.omg.mof.Reflective.MofError {
 		return _is_derived;
		}
	public void set_is_derived(boolean new_value) throws org.omg.mof.Reflective.MofError { 
		_is_derived = new_value ;
		}

		// 
	private org.omg.mof.Model.Namespace  _container = null;
	public org.omg.mof.Model.Namespace container() throws org.omg.mof.Reflective.NotSet, org.omg.mof.Reflective.MofError { 
		if (_container!= null) return _container;
		else throw new org.omg.mof.Reflective.NotSet();
		}
	public void set_container(org.omg.mof.Model.Namespace new_value) throws org.omg.mof.Reflective.MofError { 
		_container = new_value ;
		}
	public void unset_container() throws org.omg.mof.Reflective.MofError{ 
		_container = null;
		}

		// 
	private java.util.Vector  _required_elementss = new java.util.Vector();
	public org.omg.mof.Model.ModelElement[]  required_elements() throws org.omg.mof.Reflective.MofError { 
		org.omg.mof.Model.ModelElement[] temp1 = new org.omg.mof.Model.ModelElement[_required_elementss.size()];
		for(int i=0; i< _required_elementss.size(); i++) temp1[i] = (org.omg.mof.Model.ModelElement)_required_elementss.elementAt(i);
		return temp1;
		}
	public void set_required_elements(org.omg.mof.Model.ModelElement[] new_value) throws org.omg.mof.Reflective.MofError { 
		_required_elementss.removeAllElements();
		for(int i= 0; i< new_value.length ; i++) _required_elementss.addElement(new_value[i]);
		}
	public void add_required_elements (org.omg.mof.Model.ModelElement new_element) throws org.omg.mof.Reflective.MofError{ 
		_required_elementss.addElement(new_element);
		}
	public void modify_required_elements (org.omg.mof.Model.ModelElement old_element,org.omg.mof.Model.ModelElement new_element) throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError{ 
		if( _required_elementss.contains(old_element)) {
		int i =_required_elementss.indexOf(old_element);
		_required_elementss.setElementAt(new_element, i);
		}
		else throw new org.omg.mof.Reflective.NotFound();
		}
	public void remove_required_elements (org.omg.mof.Model.ModelElement old_element ) throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError { 
		if(_required_elementss.contains(old_element)) _required_elementss.removeElement(old_element);
		else throw new org.omg.mof.Reflective.NotFound() ;
		}

		// 
	private java.util.Vector  _constraintss = new java.util.Vector();
	public org.omg.mof.Model.Constraint[]  constraints() throws org.omg.mof.Reflective.MofError { 
		org.omg.mof.Model.Constraint[] temp1 = new org.omg.mof.Model.Constraint[_constraintss.size()];
		for(int i=0; i< _constraintss.size(); i++) temp1[i] = (org.omg.mof.Model.Constraint)_constraintss.elementAt(i);
		return temp1;
		}
	public void set_constraints(org.omg.mof.Model.Constraint[] new_value) throws org.omg.mof.Reflective.MofError { 
		_constraintss.removeAllElements();
		for(int i= 0; i< new_value.length ; i++) _constraintss.addElement(new_value[i]);
		}
	public void add_constraints (org.omg.mof.Model.Constraint new_element) throws org.omg.mof.Reflective.MofError{ 
		_constraintss.addElement(new_element);
		}
	public void modify_constraints (org.omg.mof.Model.Constraint old_element,org.omg.mof.Model.Constraint new_element) throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError{ 
		if( _constraintss.contains(old_element)) {
		int i =_constraintss.indexOf(old_element);
		_constraintss.setElementAt(new_element, i);
		}
		else throw new org.omg.mof.Reflective.NotFound();
		}
	public void remove_constraints (org.omg.mof.Model.Constraint old_element ) throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError { 
		if(_constraintss.contains(old_element)) _constraintss.removeElement(old_element);
		else throw new org.omg.mof.Reflective.NotFound() ;
		}

		// 
	private org.omg.mof.Model.Classifier  _type = null;
	public org.omg.mof.Model.Classifier type() throws org.omg.mof.Reflective.MofError { 
		return _type;
		}
	public void set_type(org.omg.mof.Model.Classifier new_value) throws org.omg.mof.Reflective.MofError { 
		_type = new_value ;
		}

	public MofAttributeImpl(String name, String annotation, org.omg.mof.Model.VisibilityKind visibility, org.omg.mof.Model.ScopeKind scope, org.omg.mof.Model.MultiplicityType multiplicity, boolean is_changeable, boolean is_derived, org.omg.mof.Model.MofAttributeClass _proxy){
		_name = name ;
		_annotation = annotation ;
		_visibility = visibility ;
		_scope = scope ;
		_multiplicity = multiplicity ;
		_is_changeable = is_changeable ;
		_is_derived = is_derived ;
		_class_proxy = _proxy ;
		  }
	}
